[tor-commits] [tor/master] Adjust test_practracker.sh to work on windows

asn at torproject.org asn at torproject.org
Tue Aug 6 11:52:53 UTC 2019


commit 1440c2cb340f904cafb402474b538725abdeb04f
Author: Nick Mathewson <nickm at torproject.org>
Date:   Thu Aug 1 15:05:34 2019 -0400

    Adjust test_practracker.sh to work on windows
    
    The required change is to ignore trailing CRs when diffing files.
---
 scripts/maint/practracker/test_practracker.sh | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

diff --git a/scripts/maint/practracker/test_practracker.sh b/scripts/maint/practracker/test_practracker.sh
index c7be22770..c878ca558 100755
--- a/scripts/maint/practracker/test_practracker.sh
+++ b/scripts/maint/practracker/test_practracker.sh
@@ -28,6 +28,17 @@ run_practracker() {
         --max-include-count=0 --max-file-size=0 --max-function-size=0 --terse \
         "${DATA}/" "$@";
 }
+compare() {
+    # we can't use cmp because we need to use -b for windows
+    diff -b -u "$@" > "${TMPDIR}/test-diff"
+    if test -z "$(cat "${TMPDIR}"/test-diff)"; then
+        echo "OK"
+    else
+        cat "${TMPDIR}/test-diff"
+        echo "FAILED"
+        exit 1
+    fi
+}
 
 echo "unit tests:"
 
@@ -37,18 +48,10 @@ echo "ex0:"
 
 run_practracker --exceptions "${DATA}/ex0.txt" > "${TMPDIR}/ex0-received.txt"
 
-if cmp "${TMPDIR}/ex0-received.txt" "${DATA}/ex0-expected.txt" ; then
-    echo "  OK"
-else
-    exit 1
-fi
+compare "${TMPDIR}/ex0-received.txt" "${DATA}/ex0-expected.txt"
 
 echo "ex1:"
 
 run_practracker --exceptions "${DATA}/ex1.txt" > "${TMPDIR}/ex1-received.txt"
 
-if cmp "${TMPDIR}/ex1-received.txt" "${DATA}/ex1-expected.txt" ;then
-    echo "  OK"
-else
-    exit 1
-fi
+compare "${TMPDIR}/ex1-received.txt" "${DATA}/ex1-expected.txt"





More information about the tor-commits mailing list